//***************************************************************************************
// Projet lecture_bouton_poussoir.app
// nom du fichier : main.c
//
// Description : 
// Le bouton poussoir (SW) est câblé sur l'entrée P01 configurée en pull-down du PSoC 2946624PXI
// La led (LED1) est câblée sur la broche P11 du PSoC configurée en sortie (type : strong)

// Dans cet exemple, un appui sur le bouton poussoir (SW) de la carte CY3210 PSoC EVAL provoque
// l'allumage de la led (LED1).
//
// Fonctionnalités et utilisation de l'exemple : 
// Compilez le programme et chargez le dans le PSoC.
//---------------------------------------------------------------------------------------
// Auteur : DENIS PENARD
// Vérifié par : JEAN-FRANCOIS LIEBAUD
// Date   : 18/02/2011.
//  +----------------------------------------------------------------------------------------------
//  | Historique
//  +------+------------+--------------------------------------------------------------------------
//  | Version  
//  +------+------------+--------------------------------------------------------------------------
//  | Name |  Date		| Description des modifications
//  +------+------------+--------------------------------------------------------------------------
//  | DP   | 13/01/2011	| Version Originale
//  +------+------------+--------------------------------------------------------------------------  
//  | DP   | 13/01/2011	| 
//  +------+------------+--------------------------------------------------------------------------  
//***************************************************************************************
#include <m8c.h>
#include "PSoCAPI.h"

#define led_allumee				(PRT1DR = PRT1DR | 0x02)
#define led_eteinte				(PRT1DR = PRT1DR & 0xFD)
#define bouton_appuye			((PRT1DR & 0x01) == 0x01)
#define raz_bouton				(PRT1DR = PRT1DR & 0xFE)

void main(void)
{
	while (1)
	{
		//L'entree numérique du PSoC est bufferisée (cf Technical Reference Manual.pdf page 105, figure 6-1
		//encart INPUT PATH -> Data Bus
		//Lors d'un appui sur le bouton poussoir, le buffer mémorise après une première lecture l'état du bouton.
		//Ici, quand le bouton est appuyé, on a 5 V sur l'entrée P01.
		//Si on ne réécrit pas 0 sur le port P01, même si le bouton poussoir est relâché (potentiel sur P01=0V
		//on lira le niveau logique 1 !!
		raz_bouton;
		if (bouton_appuye)
			led_allumee;
		else
			led_eteinte;
	}
}
