//***************************************************************************************
// Projet mli.SOC
// nom du fichier : main.c
//
// Description ------------------------------------------------------------------------
// Un signal MLI de fréquence 10 kHz et de rapport cyclique est présent sur la broche P0.2 du PSoC dès
// que le PSoC est alimenté.

// Pour générer une fréquence de 10 kHz, on va prendre une horloge (VC2) cadencée à 240 kHz en réglant
// les diviseurs de VC1 et VC2 à 10.
// Le registre "Period" du bloc PWM8 est configuré à 240. Il servira de diviseur par 240 de l'horloge VC2
// ramenant ainsi la fréquence à 10 kHz.

// De l'importance du choix de la valeur du registre "Period"----------------------------

// Dans notre cas, le rapport cyclique vaut 50% - le registre "pulse width" vaut 120 (soit la moitié
// de la valeur du registre "Period").
// L'avantage d'avoir pris un diviseur "Periode" "grand", est de pouvoir faire varier le rapport cyclique
// de 1/240 jusqu'à 240/240.
// On aurait pu également utiliser l'horloge VC3 avec un diviseur de 10 et configurer le registre "Period" 
// du bloc PWM8 avec la valeur 24.
// Dans ce cas, la précision de variation du rapport cyclique n'est que de 1/24 !

//---------------------------------------------------------------------------------------
// Auteur : DENIS PENARD
// Vérifié par : JEAN-FRANCOIS LIEBAUD
// Date   : 07/02/2011.
//  +----------------------------------------------------------------------------------------------
//  | Historique
//  +------+------------+--------------------------------------------------------------------------
//  | SVN  |  rev10
//  +------+------------+--------------------------------------------------------------------------
//  | Name |  Date		| Description des modifications
//  +------+------------+--------------------------------------------------------------------------
//  | DP   | 07/01/2011	| Version Originale
//  +------+------------+--------------------------------------------------------------------------  
//  | DP   | 07/01/2011	| 
//  +------+------------+--------------------------------------------------------------------------  
//***************************************************************************************

#include <m8c.h>
#include "PSoCAPI.h"


void main()
{
	//démarrage de la PWM (pulse width modulation) ou MLI
	PWM8_Start();
    while(1);
}
